import { User } from '../core/user';

export class CashierCheckoutPrintItem {
  date: string;
  billId: string;
  customer: string;
  amount: number;
}

export class CashierCheckoutDisplayItem {
  name: string;
  amount: number;
}

export class CashierCheckout {
  startDate: string;
  finishDate: string;
  user: User;
  amounts?: CashierCheckoutDisplayItem[];
  info?: CashierCheckoutPrintItem[];
}
