import { MenuCategory } from './menu-category';
import { SaleCategory } from './sale-category';
import { Tax } from './tax';

export class Product {
  id: string;
  code: number;
  name: string;
  units: string;
  menuCategory: MenuCategory;
  saleCategory: SaleCategory;
  price: number;
  hasHappyHour: boolean;
  isNotAvailable: boolean;
  quantity: number;
  isActive: boolean;
  sortOrder: number;

  enabled?: boolean;
  tax?: Tax;
}
