export class User {
  id: string;
  name: string;
  password: string;
  lockedOut: boolean;
  roles: UserRole[];
  perms: string[];
  isAuthenticated: boolean;

  public constructor(init?: Partial<User>) {
    Object.assign(this, init);
  }
}

export class UserRole {
  id: string;
  name: string;
  enabled: boolean;
}
