import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve, RouterStateSnapshot } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';
import { GuestBookList } from './guest-book';
import { GuestBookService } from './guest-book.service';

@Injectable({
  providedIn: 'root'
})
export class GuestBookListResolver implements Resolve<GuestBookList> {

  constructor(private ser: GuestBookService) {
  }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<GuestBookList> {
    return this.ser.list(null);
  }
}
