import { NgModule} from '@angular/core';
import { CommonModule } from '@angular/common';

import { MenuCategoryListComponent } from './menu-category-list/menu-category-list.component';
import { MenuCategoryDetailComponent } from './menu-category-detail/menu-category-detail.component';
import { MenuCategoriesRoutingModule } from './menu-categories-routing.module';
import { MatButtonModule } from '@angular/material/button';
import { MatCardModule } from '@angular/material/card';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { MatTableModule } from '@angular/material/table';
import { CdkTableModule } from '@angular/cdk/table';
import { DragDropModule } from '@angular/cdk/drag-drop';
import { FlexLayoutModule } from '@angular/flex-layout';
import { ReactiveFormsModule } from '@angular/forms';

@NgModule({
  imports: [
    CommonModule,
    CdkTableModule,
    DragDropModule,
    FlexLayoutModule,
    MatTableModule,
    MatCardModule,
    MatCheckboxModule,
    MatProgressSpinnerModule,
    MatInputModule,
    MatButtonModule,
    MatIconModule,
    ReactiveFormsModule,
    MenuCategoriesRoutingModule
  ],
  declarations: [
    MenuCategoryListComponent,
    MenuCategoryDetailComponent
  ]
})
export class MenuCategoriesModule {
}
