import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';

import {PrinterListComponent} from './printer-list/printer-list.component';
import {PrinterDetailComponent} from './printer-detail/printer-detail.component';
import {PrintersRoutingModule} from './printers-routing.module';
import { MatButtonModule } from '@angular/material/button';
import { MatCardModule } from '@angular/material/card';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { MatTableModule } from '@angular/material/table';
import {CdkTableModule} from '@angular/cdk/table';
import {ReactiveFormsModule} from '@angular/forms';
import {FlexLayoutModule} from '@angular/flex-layout';

@NgModule({
  imports: [
    CommonModule,
    CdkTableModule,
    FlexLayoutModule,
    MatButtonModule,
    MatCardModule,
    MatIconModule,
    MatInputModule,
    MatProgressSpinnerModule,
    MatTableModule,
    ReactiveFormsModule,
    PrintersRoutingModule
  ],
  declarations: [
    PrinterListComponent,
    PrinterDetailComponent
  ]
})
export class PrintersModule {
}
