import { DataSource } from '@angular/cdk/collections';
import { Observable } from 'rxjs';
import { SectionPrinterItem } from '../core/section-printer';


export class SectionPrinterDataSource extends DataSource<SectionPrinterItem> {

  constructor(private data: Observable<SectionPrinterItem[]>) {
    super();
  }

  connect(): Observable<SectionPrinterItem[]> {
    return this.data;
  }

  disconnect() {
  }
}
