import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';

import {TaxListComponent} from './tax-list/tax-list.component';
import {TaxDetailComponent} from './tax-detail/tax-detail.component';
import {TaxesRoutingModule} from './taxes-routing.module';
import { MatButtonModule } from '@angular/material/button';
import { MatCardModule } from '@angular/material/card';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { MatTableModule } from '@angular/material/table';
import {CdkTableModule} from '@angular/cdk/table';
import {ReactiveFormsModule} from '@angular/forms';
import {FlexLayoutModule} from '@angular/flex-layout';

@NgModule({
  imports: [
    CommonModule,
    CdkTableModule,
    FlexLayoutModule,
    MatButtonModule,
    MatCardModule,
    MatIconModule,
    MatInputModule,
    MatProgressSpinnerModule,
    MatTableModule,
    ReactiveFormsModule,
    TaxesRoutingModule
  ],
  declarations: [
    TaxListComponent,
    TaxDetailComponent
  ]
})
export class TaxesModule {
}
