from pyramid.view import view_config

from barker.models import DbSetting


@view_config(request_method='GET', route_name='setting_id', renderer='json', permission='Authenticated')
def show_id(request):
    name = request.matchdict['id']
    item = request.dbsession.query(DbSetting).filter(DbSetting.name == name).first()
    return {'SettingID': item.id, 'Name': item.name, 'Details': item.data}
