import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';
import { CashierCheckoutDisplayItem } from './cashier-checkout';


export class CashierCheckoutDataSource extends DataSource<CashierCheckoutDisplayItem> {

  constructor(public data: CashierCheckoutDisplayItem[]) {
    super();
  }

  connect(): Observable<CashierCheckoutDisplayItem[]> {
    return observableOf(this.data);
  }

  disconnect() {
  }
}
