import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';
import { SaleAnalysisItem } from './sale-analysis';


export class SaleAnalysisDataSource extends DataSource<SaleAnalysisItem> {

  constructor(public data: SaleAnalysisItem[]) {
    super();
  }

  connect(): Observable<SaleAnalysisItem[]> {
    return observableOf(this.data);
  }

  disconnect() {
  }
}
