import { Component } from '@angular/core';
import { MatDialogRef } from '@angular/material';
import { PrintType } from '../bills/bill';

@Component({
  selector: 'app-bill-type',
  templateUrl: './bill-type.component.html',
  styleUrls: ['./bill-type.component.css']
})
export class BillTypeComponent {
  selected: string;

  constructor(
    public dialogRef: MatDialogRef<BillTypeComponent>,

  ) {
    this.selected = null;
  }

  select(s: string) {
    this.selected = s;
  }

  accept(): void {
    this.dialogRef.close(PrintType[this.selected]);
  }
}

